Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000114 [EasyBSD] Features feature N/A 2010-01-20 01:38 2010-01-30 18:19
Reporter Julian View Status public  
Assigned To Julian
Priority none Resolution fixed  
Status resolved   Product Version 3.1.0
Summary 0000114: fetchmod
Description Fetchmod is a new program that will allow users to download and install modules. This will help remove modules that aren't required. And for the developers to stay on point to the true purpose of EasyBSD; Security.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000376)
svn (developer)
2010-01-22 09:45

Changeset [99] by julian, 2010-01-22 09:45:27 -0500 (Fri, 22 Jan 2010)
Issue 0000114 -- Adding modules svn repository
A modules/
A modules/releases/
A modules/trunk/
U trunk/modules/040.firewall_pf.sh
(0000377)
svn (developer)
2010-01-22 09:51

Changeset [100] by julian, 2010-01-22 09:51:49 -0500 (Fri, 22 Jan 2010)
Issue 0000114 -- Moving a few modules into modules folder
D trunk/modules/060.dhcpd.sh
D trunk/modules/060.portsentry.sh
D trunk/modules/060.proftpd.sh
(0000378)
svn (developer)
2010-01-22 12:21

Changeset [101] by julian, 2010-01-22 12:21:24 -0500 (Fri, 22 Jan 2010)
Issue 0000114 -- Adding a test for new function FETCH_$ {MOD}
U trunk/easybsd.sh
(0000379)
svn (developer)
2010-01-22 14:00

Changeset [102] by jewles, 2010-01-22 14:00:37 -0500 (Fri, 22 Jan 2010)
Issue 0000114 -- Adding fetch mod function to easybsd.sh
U trunk/easybsd.sh
U trunk/includes/config.progress
(0000380)
svn (developer)
2010-01-22 14:12

Changeset [103] by jewles, 2010-01-22 14:12:20 -0500 (Fri, 22 Jan 2010)
Issue 0000114 -- modifying function $ {MOD}_fetch
U trunk/easybsd.sh
(0000381)
svn (developer)
2010-01-23 19:38

Changeset [104] by jewles, 2010-01-23 19:38:25 -0500 (Sat, 23 Jan 2010)
Issue 0000114 -- Doing away with tests... all modules will have the new fetch mod...
U trunk/easybsd.sh
(0000382)
svn (developer)
2010-01-23 22:26

Changeset [105] by julian, 2010-01-23 22:26:00 -0500 (Sat, 23 Jan 2010)
Issue 0000114 -- Updating fetchmod repos
A modules/060.dhcpd.sh
A modules/060.portsentry.sh
A modules/060.proftpd.sh
A modules/hosting/
D modules/releases/
D modules/trunk/
(0000383)
svn (developer)
2010-01-23 22:29

Changeset [106] by julian, 2010-01-23 22:29:16 -0500 (Sat, 23 Jan 2010)
Issue 0000114 -- Updating fetchmod repos
D modules/060.dhcpd.sh
D modules/060.portsentry.sh
A modules/hosting/trunk/
A modules/portsentry/
A modules/portsentry/trunk/
A modules/portsentry/trunk/060.portsentry.sh
A modules/router/
A modules/router/trunk/
A modules/router/trunk/060.dhcpd.sh
(0000384)
svn (developer)
2010-01-23 22:29

Changeset [107] by julian, 2010-01-23 22:29:51 -0500 (Sat, 23 Jan 2010)
Issue 0000114 -- Updating fetchmod repos
D modules/060.proftpd.sh
A modules/hosting/trunk/060.proftpd.sh
(0000385)
svn (developer)
2010-01-23 22:37

Changeset [108] by julian, 2010-01-23 22:37:08 -0500 (Sat, 23 Jan 2010)
Issue 0000114 -- Finally added fetchmod script to project
A trunk/fetchmod
(0000386)
svn (developer)
2010-01-23 22:39

Changeset [109] by julian, 2010-01-23 22:39:43 -0500 (Sat, 23 Jan 2010)
Issue 0000114 -- Updating fetchmod a bitwq
U trunk/fetchmod
(0000387)
svn (developer)
2010-01-23 22:46

Changeset [111] by julian, 2010-01-23 22:46:16 -0500 (Sat, 23 Jan 2010)
Issue 0000114 -- Adding repos file
A trunk/config/fetchmod-repos
(0000388)
svn (developer)
2010-01-23 22:46

Changeset [112] by julian, 2010-01-23 22:46:56 -0500 (Sat, 23 Jan 2010)
Issue 0000114 -- Updating repos file
U trunk/fetchmod
(0000395)
svn (developer)
2010-01-24 01:47

Changeset [118] by jewles, 2010-01-24 01:47:07 -0500 (Sun, 24 Jan 2010)
Issue 0000102 -- This update includes major changes to easybsd modules
Issue 0000114 -- Several modules have been removed that will be included with fetchmod
Issue 0000116 -- Major rewriting of the firewall module. PF/IPFW have been removed and PF is now the primary firewall
Issue 0000119 -- This update includes major changes to easybsd svn repos
A trunk/modules/020.networking.sh
D trunk/modules/020.security.sh
A trunk/modules/030.firewall.sh
D trunk/modules/030.networking.sh
D trunk/modules/040.firewall.sh
D trunk/modules/040.firewall_ipfw.sh
D trunk/modules/040.firewall_pf.sh
A trunk/modules/040.security.sh
D trunk/modules/060.clamav.sh
D trunk/modules/060.httpd.sh
D trunk/modules/060.linuxbase.sh
D trunk/modules/060.mysqld.sh
D trunk/modules/060.sshd.sh
(0000409)
svn (developer)
2010-01-25 01:18

Changeset [137] by julian, 2010-01-25 01:18:32 -0500 (Mon, 25 Jan 2010)
Issue 0000114 -- Fixing module error
U trunk/fetchmod
(0000410)
svn (developer)
2010-01-25 01:48

Changeset [141] by julian, 2010-01-25 01:48:32 -0500 (Mon, 25 Jan 2010)
Issue 0000114 -- Fixing module error
U trunk/fetchmod
(0000414)
svn (developer)
2010-01-25 09:18

Changeset [149] by julian, 2010-01-25 09:18:40 -0500 (Mon, 25 Jan 2010)
Issue 114 -- Fixing possible break in code with fetchmod
U trunk/fetchmod
(0000423)
Julian (administrator)
2010-01-30 18:19

The fetchmod script has been completed. There may still be some required modifications and will be tracked via this ticket. I am resolving this ticket in the meantime.

- Issue History
Date Modified Username Field Change
2010-01-20 01:38 Julian New Issue
2010-01-20 01:38 Julian Assigned To => Julian
2010-01-22 09:45 svn Checkin
2010-01-22 09:45 svn Note Added: 0000376
2010-01-22 09:51 svn Checkin
2010-01-22 09:51 svn Note Added: 0000377
2010-01-22 12:21 svn Checkin
2010-01-22 12:21 svn Note Added: 0000378
2010-01-22 14:00 svn Checkin
2010-01-22 14:00 svn Note Added: 0000379
2010-01-22 14:12 svn Checkin
2010-01-22 14:12 svn Note Added: 0000380
2010-01-23 19:38 svn Checkin
2010-01-23 19:38 svn Note Added: 0000381
2010-01-23 22:26 svn Checkin
2010-01-23 22:26 svn Note Added: 0000382
2010-01-23 22:29 svn Checkin
2010-01-23 22:29 svn Note Added: 0000383
2010-01-23 22:29 svn Checkin
2010-01-23 22:29 svn Note Added: 0000384
2010-01-23 22:37 svn Checkin
2010-01-23 22:37 svn Note Added: 0000385
2010-01-23 22:39 svn Checkin
2010-01-23 22:39 svn Note Added: 0000386
2010-01-23 22:46 svn Checkin
2010-01-23 22:46 svn Note Added: 0000387
2010-01-23 22:46 svn Checkin
2010-01-23 22:46 svn Note Added: 0000388
2010-01-24 01:47 svn Checkin
2010-01-24 01:47 svn Note Added: 0000395
2010-01-25 01:18 svn Checkin
2010-01-25 01:18 svn Note Added: 0000409
2010-01-25 01:48 svn Checkin
2010-01-25 01:48 svn Note Added: 0000410
2010-01-25 09:18 svn Checkin
2010-01-25 09:18 svn Note Added: 0000414
2010-01-30 18:19 Julian Note Added: 0000423
2010-01-30 18:19 Julian Status new => resolved
2010-01-30 18:19 Julian Fixed in Version => trunk
2010-01-30 18:19 Julian Resolution open => fixed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker